﻿Type=StaticCode
Version=3.82
B4A=true
@EndOfDesignText@
'Code module
Sub Process_Globals
End Sub

Sub CompileShader(Shader As lgShaderProgram, VertexFile As lgFileHandle, FragmentFile As lgFileHandle) As Boolean
	'Compiles the vertex and the fragment shaders
	Shader.Pedantic = False
	Shader.InitializeWithFiles(VertexFile, FragmentFile)

	'Is the shader program compiled?
	If Not(Shader.IsCompiled) Then
		Log("Could not compile shader: " & Shader.Log)
		Return False
	End If

	'Logs any warning
	If Shader.Log.Length <> 0 Then
		Log(Shader.Log)
	End If
	Return True
End Sub
